<template>
  <div class="radio_buttons_group row wrap q-ma-none q-my-md justify-between items-center">

    <div class="radio_buttons_group__label q-py-md q-mr-md">
      <p>Parámetros información incompleta</p>
    </div>

    <div class="radio_buttons_group__background bg-secondary q-pa-sm">
      <q-option-group
        type="radio"
        :options="options"
        v-model="localModel"
        inline
        emit-value
        :disable="isFetching"
      />
    </div>

  </div>
</template>

<script setup>
import { computed } from 'vue';

import {
  faseProcedimientoContratacionOptions,
  paramsInformacionIncompletaOptions
} from 'src/data/common-constants';

const props = defineProps({
  modelValue:     { type: String, required: true },
  indicatorType:  { type: String, required: true },
  isFetching:     { type: Boolean, required: true }
});

const emit = defineEmits(['update:modelValue']);

let localModel = computed({
  get: () => props?.modelValue,
  set: (value) => {
    emit("update:modelValue", value)
  },
});

const options = computed(() => {
  const radioButtonsGroupOptions = {
    indicator_1_2: paramsInformacionIncompletaOptions,
    indicator_3_4: paramsInformacionIncompletaOptions,
    indicator_5_6: paramsInformacionIncompletaOptions,
    indicator_7_8: paramsInformacionIncompletaOptions,
    indicator_10_11: faseProcedimientoContratacionOptions,
  };
  return radioButtonsGroupOptions[props.indicatorType];
});

</script>

<style lang="scss" scoped>
@use './radio-toggle-component-stylesheet.scss';
</style>